Subject: Re: bug#52561: 28.0.50; [PATCH] Tall characters create scrolling stasis

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Dec 2021 21:04:15 +0200

> From: dick <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 17 Dec 2021 12:03:54 -0500
> 
> > It never prints "all bad" in my testing, neither in Emacs 27.2 nor in
> 
> My `M-x version` is GNU Emacs (build 2, x86_64-pc-linux-gnu, GTK+
> Version 3.22.30).
> 
> The bug would seem very sensitive to fonts and X toolkits.
> 
> With Óscar on the first line, I delete the accented "O", I can very
> clearly see the rest of the buffer shift up.

Not here, because Ó comes from the same font as the ASCII characters,

> With Óscar on the second line, I delete the accented "O", I do not see
> the shift-up.
> 
> As you can guess, I can only get the bug to trigger for first-line.
> 
> And I cannot get it to trigger at all with Hindi.

I used Hindi because it made the line taller than other lines.  I
thought that was the trigger for the problem you see.

> I'll close this for incomplete diagnosis.

If you can describe what you see in redisplay_window, which causes the
problem, we could take it from there, perhaps.